%global srcname checkupdate
%define debug_package %{nil}

Name:           wol-changer
Version:        1.0.3
Release:        1%{?dist}
Summary:        Change volume, brightness and keyboard brightness showing wol bar
Url:            https://pagure.io/%{srcname}
# Sources can be obtained by
# git clone https://pagure.io/checkupdate
# cd checkupdate
# tito build --tgz
License:        GPLv3


BuildRequires: systemd-rpm-macros

BuildArch:      noarch
Requires:       sound-theme-freedesktop
Requires:       wob
Requires:       alsa-utils
Requires:       pulseaudio-utils
Requires:	    brightnessctl

Source0:        %{name}-%{version}.tar.gz

%description
Change volume, brightness and keyboard brightness showing wol bar

%prep
%autosetup

%build

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 wol-change-volume %{buildroot}%{_bindir}
install -m 755 wol-change-brightness %{buildroot}%{_bindir}
install -m 755 wol-change-key-bright %{buildroot}%{_bindir}

%files
%{_bindir}/wol-change-volume
%{_bindir}/wol-change-brightness
%{_bindir}/wol-change-key-bright

%post

%changelog
* Mon Aug 28 2023 Junior_FOX <cjuniorfox@gmail.com> 1.0.3-1
- adjustaments (cjuniorfox@gmail.com)
- removed the debug parameters (cjuniorfox@gmail.com)

* Sat Aug 26 2023 Junior_FOX <cjuniorfox@gmail.com> 1.0.2-1
- replaced beep to paplay (cjuniorfox@gmail.com)

* Sat Aug 26 2023 Junior_FOX <cjuniorfox@gmail.com> 1.0.1-1
- rpm spec (cjuniorfox@gmail.com)

* Sat Aug 26 2023 Junior_FOX <cjuniorfox@gmail.com> 1.0.0-1
- new package built with tito

